var gulp = require('gulp');
var sass = require('gulp-sass'); // enable SASS
var cleanCSS = require('gulp-clean-css'); // minify css
var imagemin = require('gulp-imagemin'); // minify images
var concat = require('gulp-concat'); // concat js
var uglify = require('gulp-uglify'); // compress js
var htmlmin = require('gulp-htmlmin'); // minify html
var watch = require('gulp-watch'); // watch all files


gulp.task('sass', function(){
  return gulp.src('app/scss/style.scss')
	.pipe(sass())
	.pipe(cleanCSS({compatibility: 'ie8'}))
    .pipe(gulp.dest('dist'))
});

gulp.task('minify', function() {
  return gulp.src('app/*.html')
    .pipe(htmlmin({collapseWhitespace: true, removeComments: true}))
    .pipe(gulp.dest('dist'));
});

gulp.task('scripts', function() {
  return gulp.src(['app/js/vendor/*.js','app/js/scripts/*.js'])
    .pipe(uglify())
	.pipe(concat('main.js'))
	.pipe(gulp.dest('dist/js'))
});

gulp.task('imagemin', function() {
	gulp.src('app/images/*')
	.pipe(imagemin())
	.pipe(gulp.dest('dist/images'))
});

gulp.task('watch', function() {
	
	gulp.watch('app/scss/*.scss', ['sass']);
	gulp.watch('app/*.html', ['minify']);
	gulp.watch(['app/js/vendor/*.js','app/js/scripts/*.js'], ['scripts']);
	gulp.watch('app/images/*', ['imagemin']);
	
});